/*****************************************************************************
 *
 * FILE:	functions.h
 * DESCRIPTION:	functions declaration file for wkf sources
 * DATE:	Sat, Jan 15 2000
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.com
 * URL:		http://www.MysticWALL.com/cover.html
 * COPYRIGHT:	(C) 2000 졿Kouichi ABE (WALL), All rights reserved.
 * $Id: functions.h,v 1.1.1.1 2001/10/11 14:51:37 kenta Exp $
 *
 *****************************************************************************/

#ifndef	_functions_h
#define	_functions_h	1

/* guess.c */
extern int	readFile(FILE *);
extern int	readString(STR);
extern void	noPreRead(FILE *);
extern int	getChar(void);
extern void	ungetChar();
extern ktype_t	guessKanjiCodeType(bool_t, kcode_t, FILE *);

/* conv.c */
extern void	setOutputFilePointer(FILE *);
extern void	setOutputStringBuffer(STR, unsigned int);
extern conv_t	convertKanjiCode(kcode_t, kcode_t);


#endif	/* _functions_h */
